summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorbertagaz <bertagaz@ptitcanardnoir.org>2018-03-20 12:23:15 +0100
committerbertagaz <bertagaz@ptitcanardnoir.org>2018-03-20 12:23:15 +0100
commit8dd945efef3e4f47f11742862cf34b098ae42cc2 (patch)
treea48fd0392a996d4dbd76fc4b12ef24985a3cdc1b
parentdc060fe262bba58b0faa06d5e091abec19f0a109 (diff)
ASP: install DPKG hooks at the end of the build hooks.
Commit 85d42412212002dd51e23d3775b56966e807f6cd reintroduce the cyclic dependency where the ASP hooks are triggered when installing a package while building the ISO. So let's install this ASP hooks at the very end of the build hooks so that they don't interfere anymore in the build process. Refs: #14594
-rw-r--r--config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks (renamed from config/chroot_local-includes/etc/apt/apt.conf.d/80tails-additional-software)7
1 files changed, 7 insertions, 0 deletions
diff --git a/config/chroot_local-includes/etc/apt/apt.conf.d/80tails-additional-software b/config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks
index bd5b29f..f2d3528 100644
--- a/config/chroot_local-includes/etc/apt/apt.conf.d/80tails-additional-software
+++ b/config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks
@@ -1,3 +1,10 @@
+#!/bin/sh
+
+set -e
+set -u
+
+cat > /etc/apt/apt.conf.d/80tails-additional-software << EOF
DPkg::Pre-Install-Pkgs { "/usr/local/sbin/tails-additional-software apt-pre"; };
DPkg::Post-Invoke { "/usr/local/sbin/tails-additional-software apt-post &"; };
DPkg::Tools::Options::/usr/local/sbin/tails-additional-software::Version "3";
+EOF